Game servers
GET https://monitor.movingwords.it/api/game-servers/
curl --request GET \
--url 'https://monitor.movingwords.it/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://monitor.movingwords.it/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Opzionale Stringa | La stringa di ricerca. |
| search_by | Opzionale Stringa | Quale campo stai cercando. Valori consentiti sono: name , target , port. |
| is_enabled | Opzionale Booleano | |
| type | Opzionale Stringa | Valori consentiti: minecraft |
| project_id | Opzionale Intero | |
| order_by | Opzionale Stringa | Quale campo ordinare i risultati. Valori consentiti sono: game_server_id , last_datetime , datetime , last_check_datetime , total_checks , name , uptime , average_response_time , average_online_players , online_players , maximum_online_players. |
| order_type | Opzionale Stringa | L'ordinamento dei risultati. Valori consentiti sono: ASC per l'ordinamento crescente e DESC per l'ordinamento decrescente. |
| page | Opzionale Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Opzionale Intero | Quanti risultati vuoi per pagina. Valori consentiti sono: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Predefinito a 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-03-21 07:05:59",
"next_check_datetime": "2026-03-22 07:05:59",
"is_enabled": true,
"datetime": "2026-03-21 07:05:59",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://monitor.movingwords.it/api/game-servers?page=1",
"last": "https://monitor.movingwords.it/api/game-servers?page=1",
"next": null,
"prev": null,
"self": "https://monitor.movingwords.it/api/game-servers?page=1"
}
}
GET https://monitor.movingwords.it/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://monitor.movingwords.it/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://monitor.movingwords.it/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-03-21 07:05:59",
"next_check_datetime": "2026-03-22 07:05:59",
"is_enabled": true,
"datetime": "2026-03-21 07:05:59",
}
}
POST https://monitor.movingwords.it/api/game-servers
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Richiesto Stringa | - |
| target | Richiesto Stringa | - |
| port | Opzionale Stringa | - |
| type | Opzionale Stringa | Valori consentiti: minecraft |
| project_id | Opzionale Intero | - |
| check_interval_seconds | Opzionale Intero | Valori consentiti: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (secondi) |
| timeout_seconds | Opzionale Intero | Valori consentiti: 1, 2, 3, 5, 10, 25 (secondi) |
| is_enabled | Opzionale Booleano | - |
curl --request POST \
--url 'https://monitor.movingwords.it/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--url 'https://monitor.movingwords.it/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
{
"data": {
"id": 1
}
}
POST https://monitor.movingwords.it/api/game-servers/{game_server_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Opzionale Stringa | - |
| target | Opzionale Stringa | - |
| port | Opzionale Stringa | - |
| type | Opzionale Stringa | Valori consentiti: minecraft |
| project_id | Opzionale Intero | - |
| check_interval_seconds | Opzionale Intero | Valori consentiti: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (secondi) |
| timeout_seconds | Opzionale Intero | Valori consentiti: 1, 2, 3, 5, 10, 25 (secondi) |
| is_enabled | Opzionale Booleano | - |
curl --request POST \
--url 'https://monitor.movingwords.it/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://monitor.movingwords.it/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://monitor.movingwords.it/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://monitor.movingwords.it/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://monitor.movingwords.it/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \